/*
 * Created by SharpDevelop.
 * Copyright (C) 2007 Wittye
 * Date: 14.2.2007
 */
 
using System;
using System.Drawing;
using System.Windows.Forms;
using InfoKursTools;

namespace Sechseck
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public class MainForm : System.Windows.Forms.Form
	{
    private System.ComponentModel.IContainer components;
    private System.Windows.Forms.Button button1;
    private System.Windows.Forms.Button button2;
    private InfoKursTools.Turtle turtle1;
		public MainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
		}
		
		[STAThread]
		public static void Main(string[] args)
		{
			Application.Run(new MainForm());
		}
		
		#region Windows Forms Designer generated code
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent() {
      this.components = new System.ComponentModel.Container();
      this.turtle1 = new InfoKursTools.Turtle(this.components);
      this.button2 = new System.Windows.Forms.Button();
      this.button1 = new System.Windows.Forms.Button();
      this.SuspendLayout();
      // 
      // turtle1
      // 
      this.turtle1.Angle = 0;
      this.turtle1.DrawSolidTurtle = true;
      this.turtle1.Location = new System.Drawing.Point(8, 8);
      this.turtle1.Name = "turtle1";
      this.turtle1.PenIsDrawing = true;
      this.turtle1.Size = new System.Drawing.Size(448, 272);
      this.turtle1.TabIndex = 0;
      this.turtle1.TabStop = false;
      this.turtle1.TurtleVisible = true;
      this.turtle1.X = 0;
      this.turtle1.Y = 0;
      // 
      // button2
      // 
      this.button2.Location = new System.Drawing.Point(184, 296);
      this.button2.Name = "button2";
      this.button2.Size = new System.Drawing.Size(96, 23);
      this.button2.TabIndex = 2;
      this.button2.Text = "lschen";
      this.button2.Click += new System.EventHandler(this.Button2Click);
      // 
      // button1
      // 
      this.button1.Location = new System.Drawing.Point(40, 296);
      this.button1.Name = "button1";
      this.button1.Size = new System.Drawing.Size(96, 23);
      this.button1.TabIndex = 1;
      this.button1.Text = "zeichnen";
      this.button1.Click += new System.EventHandler(this.Button1Click);
      // 
      // MainForm
      // 
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.ClientSize = new System.Drawing.Size(464, 334);
      this.Controls.Add(this.button2);
      this.Controls.Add(this.button1);
      this.Controls.Add(this.turtle1);
      this.Name = "MainForm";
      this.Text = "Regelmige Sechsecke";
      this.ResumeLayout(false);
    }
		#endregion

		void Button1Click(object sender, System.EventArgs e)
		{
		  // Startposition setzen
		  turtle1.MoveTurtleTo(200,200);
		  // regelmiges Sechseck zeichnen
		  for(int i=1;i<=6;i++)
		  {
		    // zeichne eine Seite
		    turtle1.DrawTurtle(30);
		    // Innenwinkel im 6-Eck ist 120 Grad
		    // der Auenwinkel ist hier 180 Grad - 120 Grad = 60 Grad
		    // Dieser muss fuer die Drehung angegeben werden
		    turtle1.TurnLeft(60);
		  }
		}
		
		void Button2Click(object sender, System.EventArgs e)
		{
		  turtle1.Clear();
		}
		
		
	}
}
